#include "Base.h"
#include "Watcher.h"
#include "Updater.h"
#include "Scanner.h"
#include "MonitoringThread.h"

#pragma comment(lib, "wininet.lib")
#pragma comment(lib, "urlmon.lib")
#pragma comment(lib, "shlwapi.lib")


int CALLBACK WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
	Base *b = Base::instance();
	b->removeOld();

	Watcher *w = Watcher::instance();
	Settings::instance();

	w->initInstall();

	Updater::instance();
	
	Scanner::instance()->scan();

	return(0);
}